body {
    font-family: 'Prompt', sans-serif;
    /* background-color: #fafafa;*/
}
a {
    color: #333333;
}

    a:hover {
        color: #FE8D03;
        text-decoration: none;
    }

.cursor-pointer {
    cursor: pointer;
}
.border-wrapper:hover {
    border: 1px solid #FF8E03;
}

.btn-link {
    color: #FF8E03;
}

    .btn-link:hover {
        color: #ff5e00;
    }

.bg-primary, .badge-primary {
    background-color: #FF8E03 !important;
}
.btn-primary, .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show > .btn-primary.dropdown-toggle {
    color: #fff;
    background-color: #FF8E03;
    border-color: #FF8E03;
}
    .btn-primary:hover {
        color: #fff;
        background-color: #FE8D03;
        border-color: #FE8D03;
    }
.btn.focus, .btn:focus {
    outline: 0;
    box-shadow: 0;
    /*box-shadow: 0 0 0 0.2rem #ff8e0338;*/
}
.hover-opacity:hover {
    opacity: 0.9;
}

.small-txt-custom01 {
    font-size: 12px;
    color: #999999;
}

.badge-notify {
    position: absolute;
    top: 0;
    left: 19px;
}

.container-fluid {
    padding: 0;
}

.nav-custom-01 {
    border-bottom: 1px solid #cccccc;
}
.nav-custom-01 .nav-item {
    padding: 10px 30px;
}
.nav-custom-01 .active {
    border-bottom: 4px solid #FE8D03;
}


/*breadcrumb*/
.breadcrumb {
    background-color: #ffffff;
    color: #999999;
}

  /*left-filter-wrapper*/
  .left-filter-wrapper .title {
    font-size: 18px;
    color: #FF8E03;
  }
  .left-filter-wrapper {
    color: #666666;
    line-height: 30px;
  }
  .left-filter-wrapper .filter-left-box {
    max-height: 300px;
    overflow-y: auto;
  }
  .filter-left-box .form-check-input {
    position: relative;
    margin-left: 5px;
    top: -2px;
  }
  .filter-left-box .form-check-label {
    margin-left: 5px;
  }

  /* Slider range price */
  
[slider] {
  width: 100%;
  position: relative;
  height: 5px;
  margin: 20px 0 40px 0;
}

[slider] > div {
  position: absolute;
  left: 13px;
  right: 15px;
  height: 5px;
}
[slider] > div > [inverse-left] {
  position: absolute;
  left: 0;
  height: 5px;
  border-radius: 10px;
  background-color: #CCC;
  margin: 0 7px;
}

[slider] > div > [inverse-right] {
  position: absolute;
  right: 0;
  height: 5px;
  border-radius: 10px;
  background-color: #CCC;
  margin: 0 7px;
}


[slider] > div > [range] {
  position: absolute;
  left: 0;
  height: 5px;
  border-radius: 14px;
  background-color: #FF8E03;
}

[slider] > div > [thumb] {
  position: absolute;
  top: -7px;
  z-index: 2;
  height: 20px;
  width: 20px;
  text-align: left;
  margin-left: -11px;
  cursor: pointer;
  background-color: #FF8E03;
  border-radius: 50%;
  outline: none;
}

[slider] > input[type=range] {
  position: absolute;
  pointer-events: none;
  -webkit-appearance: none;
  z-index: 3;
  height: 14px;
  top: -2px;
  width: 100%;
  opacity: 0;
}

div[slider] > input[type=range]:focus::-webkit-slider-runnable-track {
  background: transparent;
  border: transparent;
}

div[slider] > input[type=range]:focus {
  outline: none;
}

div[slider] > input[type=range]::-webkit-slider-thumb {
  pointer-events: all;
  width: 28px;
  height: 28px;
  border-radius: 0px;
  border: 0 none;
  background: red;
  -webkit-appearance: none;
}

div[slider] > input[type=range]::-ms-fill-lower {
  background: transparent;
  border: 0 none;
}

div[slider] > input[type=range]::-ms-fill-upper {
  background: transparent;
  border: 0 none;
}

div[slider] > input[type=range]::-ms-tooltip {
  display: none;
}


/* 1 row 4 coloum - carousel */
    .carousel {
        /*margin: 50px auto; */
        padding: 0 70px;
    }

        .carousel .item {
            overflow: hidden;
        }

        .carousel .carousel-control {
            height: 100px;
            width: 40px;
            background: none;
            margin: auto 0;
            background: rgba(0, 0, 0, 0.2);
        }

            .carousel .carousel-control i {
                font-size: 30px;
                position: absolute;
                top: 50%;
                display: inline-block;
                margin: -16px 0 0 0;
                z-index: 5;
                left: 0;
                right: 0;
                color: rgba(0, 0, 0, 0.8);
                text-shadow: none;
                font-weight: bold;
            }

        .carousel .item-price {
            font-size: 13px;
            padding: 2px 0;
        }

            .carousel .item-price strike {
                color: #999;
                margin-right: 5px;
            }

            .carousel .item-price span {
                color: #86bd57;
                font-size: 110%;
            }

        .carousel .carousel-control.left i {
            margin-left: -3px;
        }

        .carousel .carousel-control.left i {
            margin-right: -3px;
        }

        .carousel .carousel-indicators {
            bottom: -50px;
        }

    .carousel-indicators li, .carousel-indicators li.active {
        width: 10px;
        height: 10px;
        margin: 4px;
        border-radius: 50%;
        border-color: transparent;
    }

    .carousel-indicators li {
        background: rgba(0, 0, 0, 0.2);
    }

        .carousel-indicators li.active {
            background: rgba(0, 0, 0, 0.6);
        }


.choose-template,
.list-product,
.search-box,
.hilight-box {
    /* max-width: 100%;
    width: 100%;
    height: 100%; */
    padding-top: 90px;
}

.list-box {
    margin-left: 15px;
}
.ui-autocomplete {
    position: absolute !important;
}
/* .catalogue-template {
    padding-top: 100px;
  } */

/* .choose-template>.align-items-center {
    height: 100%;
  } */
.choose-box,
.list-box,
.catalogue-box,
.search-box {
    background-color: #fff;
    padding: 20px 25px;
    border: 1px solid #ebebeb;
    box-shadow: 0px 4px 10px #e0e0e0;
}

.catalogue-box {
    height: 889px;
}

.dashboard-box {
    background-color: #fff;
    padding: 20px 30px;
    border: 1px solid #ebebeb;
    box-shadow: 0px 4px 10px #e0e0e0;
}

    .dashboard-box .select-templete {
        padding: 10px 10px;
        margin-bottom: 20px;
    }

        .select-templete a > img {
            border: 2px solid #e4e4e4;
            box-shadow: 0px 0px 4px #e4e4e4;
        }

.select-templete a:hover > img, .select-templete:hover > img {
    border: 2px solid #FE8D03;
}

    .dashboard-box .list-group {
        display: block;
    }

    .dashboard-box a h5 {
        margin: 5px 10px 10px 0;
        display: inline-block;
        color: #212529;
        padding-bottom: 5px;
    }

    .dashboard-box a.active h5, .dashboard-box a:hover h5 {
        color: #007bff;
        border-bottom: 2px solid #007bff;
    }

.navbar-fixed {
    background-color: #fff;
    position: fixed;
    width: 100%;
    z-index: 9;
    border-bottom: 1px solid #ebebeb;
    box-shadow: 0px 0px 4px #e4e4e4;
}

.select-templete {
    padding: 10px 20px;
    margin-bottom: 20px;
}

    .select-templete > img {
        border: 2px solid #e4e4e4;
        box-shadow: 0px 0px 4px #e4e4e4;
        cursor: pointer;
    }

    .select-templete.selected > img {
        border: 2px solid #FE8D03;
    }

    .select-templete > .title {
        text-align: center;
        font-size: 12px;
        margin-top: 10px;
    }

.choose-box h5 {
    margin-top: 5px;
    margin-bottom: 30px;
    color: #212529;
}

.btn-create {
    background-color: #FE8D03;
    border: 1px solid #FE8D03;
    color: #fff;
    width: 100%;
    padding: 2px 0px;
    /*padding: 12px 0px;*/
    margin-top: 5px;
}

    .btn-create:hover {
        opacity: 0.9;
        color: #fff;
    }
/* list */
.search-product {
    width: 100%;
}

    .search-product .form-control {
        font-size: 14px;
        padding: 20px 15px;
    }

        .search-product .form-control::placeholder {
            color: #a5a5a5;
        }

.btn-search-product {
    color: #fff;
    opacity: 1;
    background-color: #FE8D03;
    font-size: 14px;
    padding-right: 15px;
    padding-left: 15px;
}

.btn.btn-search-product:hover {
    color: #fff;
    opacity: 0.9;
}

.text-search-table .input-group-append {
    color: #999999;
    font-size: 12px;
    position: absolute;
    right: 10px;
    top: 10px;
}

.text-search-table > input {
    color: #999999;
    font-size: 12px;
}

.remove-product {
    cursor: pointer;
    float: right;
    color: #d4d4d4;
    transition: .2s;
}

    .remove-product:hover {
        color: #b3b3b3;
        transition: .2s;
    }
/* product template */
.product-box {
    font-size: 13px;
    color: #333333;
    border: 1px solid #EEEEEE;
    border-radius: 2px;
    margin: 5px;
    padding: 10px;
    height: 371px;
}


    .product-box .prod-img > img {
        max-height: 150px;
        min-height: 150px;
        min-width: 150px;
        background: url("../img/catalogue/product-default.png") no-repeat center center;
        background-size: 100%;
    }

    .product-box > .code {
        font-size: 10px;
        color: #999999;
    }

    .product-box > .price {
        font-size: 18px;
    }

    .product-box > .desc {
        font-size: 10px;
    }

/*.catalogue-template .pagination-left,
.catalogue-template .pagination-right {
    position: absolute;
    top: 45%;
    transform: translateY(-45%);
    margin: auto;
}

.catalogue-template .pagination-left {
    right: 30px;
}

.catalogue-template .pagination-right {
    left: 30px;
}*/

    .catalogue-template .pagination-left > i,
    .catalogue-template .pagination-right > i {
        font-size: 36px;
        color: #cccccc;
    }

.catalogue-pagination {
    color: #555555;
}

    .catalogue-pagination li {
        margin: 30px 5px 0 5px;
    }

    .catalogue-pagination a {
        color: #999999;
    }

        .catalogue-pagination a:hover {
            color: #555555;
        }

.pagination-right .carousel-control-next, .pagination-left .carousel-control-prev {
	position: absolute;
	z-index: 1;
	font-size: 36px;
	color: #cccccc;
	opacity: .5;
	transition: opacity .15s ease;
	position: absolute;
	/*top: 45%;*/
	top: 100%;
	transform: translateY(-45%);
	margin: auto;
	/*new*/
	height: 100%;
}

/*.pagination-right .carousel-control-next {
    left: 30px;
    right: auto;
    cursor: pointer;
}

.pagination-left .carousel-control-prev {
    right: 30px;
    left: auto;
    cursor: pointer;
}*/

.carousel-nav-next {
    cursor: pointer;
}

.carousel-nav-prev {
    cursor: pointer;
}


.carousel.carousel-fade .carousel-item {
    display: block;
    opacity: 0;
    transition: opacity ease-out .7s;
}

    .carousel.carousel-fade .carousel-item.active {
        opacity: 1 !important;
    }

.dropdown-menu {
    box-shadow: 0px 3px 6px #0000000D;
    border: 1px solid #DDDDDD;
    border-radius: 1px;
}

    .dropdown-menu a {
        color: #999999;
    }

        .dropdown-menu a:hover {
            background-color: #ffffff;
        }
/* search result */
.result-catalog-list {
    /*height: calc(100vh - 362px);*/
    height: calc(100vh - 50px);
    overflow-y: auto;
}

.catalog-list {
    font-size: 13px;
    color: #333333;
    border-bottom: 1px solid #EEEEEE;
    padding: 10px 0;
}

    .catalog-list .prod-img > img {
        max-width: 80px;
    }

    .catalog-list .code {
        font-size: 10px;
        color: #999999;
    }

    .catalog-list .price {
        font-size: 18px;
    }

    .catalog-list .desc {
        font-size: 10px;
    }
/* search catalog table */
.search-catalog-table {
    height: calc(100vh - 420px);
    overflow-y: auto;
}

.table.search-catalog-table td, .table.search-catalog-table th {
    padding: .2rem;
}

.search-catalog-table tr > th, .search-catalog-table tr > td {
    border-top: none;
    vertical-align: middle;
}

.search-catalog-table th {
    font-size: 12px;
    color: #999999;
    text-align: center;
}

.search-catalog-table .title {
    font-size: 12px;
}

.search-catalog-table .code {
    font-size: 10px;
    color: #999999;
}

.search-catalog-table .price {
    font-size: 14px;
}
/* search autocomplete */
ul.ui-widget-content {
    width: calc(-100vw / 2 + 500px / 2);
    list-style: none;
    background-color: #fff;
    padding: 0;
    border: 1px solid #D8D8D8;
    /*cursor: pointer;*/
}

.ui-helper-hidden-accessible {
    display: none;
}

ul.ui-widget-content > li {
    border-top: 1px solid #D8D8D8;
    padding: 10px;
}

    ul.ui-widget-content > li:hover > a, li:hover .search-auto > span.code {
        color: #FE8D03;
    }

    ul.ui-widget-content > li > a {
        font-size: 12px;
        color: #333333;
        /* margin: 10px 15px; */
    }

/* add Product */
.ui-helper {
    width: 100% !important;
}

.search-img {
    max-width: 60px;
    margin-right: 8px;
}

.search-img, td.product-img > img {
    background: url("../img/catalogue/product-default.png") no-repeat center center;
    background-size: 100%;
    width: 45px;
    height: 46px;
}
    .ui-autocomplete-category {
    font-weight: bold;
    /* padding: .2em .4em;
    margin: .8em 0 .2em; */
    line-height: 1.5;
}

.ui-autocomplete {
    max-height: 300px;
    overflow-y: auto;
    /* prevent horizontal scrollbar */
    overflow-x: hidden;
}

#hashtag {
    border-top: 1px solid #d8d8d8;
    padding: 20px;
}

.hashtag {
    margin: 5px;
    /*padding: 5px 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-right: 10px;*/
}
/* IE 6 doesn't support max-height
   * we use height instead, but this forces the menu to always be this tall
   */
* html .ui-autocomplete {
    height: 300px;
}

.ui-sortable-handle {
    cursor: pointer;
    background-color: white;
}

.search-auto > .row > .title {
    font-size: 14px;
}

.search-auto > .row > .margin-auto {
    margin: auto;
}
/* HashTags input */

.bootstrap-tagsinput {
    width: 100%;
}

.bootstrap-tagsinput {
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    display: inline-block;
    padding: 4px 6px;
    color: #555;
    vertical-align: middle;
    border-radius: 4px;
    max-width: 100%;
    line-height: 30px;
    cursor: text;
}

    .bootstrap-tagsinput input {
        border: none;
        box-shadow: none;
        outline: none;
        background-color: transparent;
        padding: 0 6px;
        margin: 0;
        width: auto;
        max-width: inherit;
    }

    .bootstrap-tagsinput.form-control input::-moz-placeholder {
        color: #777;
        opacity: 1;
    }

    .bootstrap-tagsinput.form-control input:-ms-input-placeholder {
        color: #777;
    }

    .bootstrap-tagsinput.form-control input::-webkit-input-placeholder {
        color: #777;
    }

    .bootstrap-tagsinput input:focus {
        border: none;
        box-shadow: none;
    }

    .bootstrap-tagsinput .tag {
        margin-right: 2px;
        color: white;
    }

        .bootstrap-tagsinput .tag [data-role="remove"] {
            margin-left: 8px;
            cursor: pointer;
        }

            .bootstrap-tagsinput .tag [data-role="remove"]:after {
                content: "x";
                padding: 0px 2px;
            }

            .bootstrap-tagsinput .tag [data-role="remove"]:hover {
                box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
            }

                .bootstrap-tagsinput .tag [data-role="remove"]:hover:active {
                    box-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
                }

/*Blazored Toast*/
.blazored-toast-container {
    z-index: 10 !important;
}

.blazored-toast-warning {
    background-color: #ffc107 !important;
}

.blazored-toast-success {
    background-color: #28a745 !important;
}
/* bootstrap for hashtag */
.label-info {
    background-color: #5bc0de
}

    .label-info[href]:focus, .label-info[href]:hover {
        background-color: #31b0d5
    }

.label {
    display: inline;
    padding: .2em .6em .3em;
    font-size: 85%;
    font-weight: 550;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: .25em;
}


/* mainmenu categories Header */
.list-mainmenu-categories {
    line-height: 35px;
}

.mainmenu-categories .collapse {
    border: 1px solid #DDDDDD;
}

.mainmenu-categories .btn {
    color: #ffffff;
    text-decoration: none;
}

.collapse-sub-category-wrapper {
    height: 470px;
    overflow: auto;
}

.collapse-sub-category {
    width: 150px;
    height: 165px;
    text-align: center;
    display: inline-block;
    overflow: hidden;
    border: 1px solid #ffffff;
}
    .collapse-sub-category .img-box {
        min-height: 94px;
        background: url("../img/catalogue/product-default.png") no-repeat center center;
    }

    .collapse-sub-category .img-box > img {
        max-height: 94px;
    }

    .collapse-sub-category .title {
        font-size: 14px;
    }

.container-topic {
    position: relative;
    padding-bottom: 15px;
    margin-bottom: 30px;
    border-bottom: 1px solid #cccccc;
}

    .container-topic::after {
        content: "";
        width: 100px;
        position: absolute;
        height: 4px;
        background: #FE8D03;
        left: 0;
        right: 0;
        bottom: 0;
    }

.topic-header .title {
    font-size: 24px;
}

.topic-header .small-text {
    font-size: 14px;
    color: #999999;
}

/*product box - thumb image*/
.thumb-wrapper {
    padding: 15px;
    border: 1px solid #ffffff;
}

    .thumb-wrapper .img-box {
        background: url("../img/catalogue/product-default.png") no-repeat center center;
        background-size: 100%;
        height: 150px;
    }

    .thumb-wrapper .btn {
        visibility: hidden;
    }

    .thumb-wrapper:hover .btn {
        visibility: visible;
    }

.percent-discount {
    background-color: #FF8E03;
    color: #FFFFFF;
    padding: 5px 10px;
    position: absolute;
}

.img-box img {
    max-height: 150px;
}

.product-name {
    font-size: 16px;
    color: #333333;
    text-decoration: none;
}

    .product-name:hover {
        color: #FF8E03;
    }

.product-code {
    font-size: 14px;
    color: #999999;
}

.item-price {
    font-size: 18px;
    color: #333333;
}

.item-price-normal {
    font-size: 14px;
    color: #999999;
}

.btn-outline-secondary {
    border: 1px solid #666666;
}

    .btn-outline-secondary:hover {
        color: #fff;
        background-color: #FF8E03;
        border-color: #FF8E03;
    }



/*book catalog box - carosual*/
.hilight-book-wrapper {
	/*background: #FAFAFA;*/
	padding: 40px 0;
}
.hilight-book-wrapper .container {
    padding: 0;
}
.book-catalog {
    padding: 15px;
    border: 1px solid #FAFAFA;
}
.book-catalog .img-box {
    background: url("../img/catalogue/product-default.png") no-repeat center center;
    background-size: 100%;
    height: 333px;
}
.book-catalog .img-box img {
    max-height: 320px;
    width: 248px;
}

book-name-title {
	font-size: 24px;
	color: #333333;
	text-decoration: none;
}

.book-name {
    font-size: 16px;
    color: #333333;
    text-decoration: none;
}
.book-name:hover {
    color: #FF8E03;
}
.book-publish {
    font-size: 14px;
    color: #999999;
}

/*category recommend wrapper*/
.cate-rec .img-box {
    background: url("../img/catalogue/product-default.png") no-repeat center center;
    background-size: 100%;
    height: 105px;
}
.cate-rec .img-box img {
    max-height: 105px;
}
.cate-rec-title {
    color: #FF8E03;
    font-size: 20px;
}
.cate-rec-sub-title {
    color: #999999;
}


/* left Manu Nav */
.left-menu-tab {
    display: flex;
    height: 50px;
    border-bottom: 1px solid #dee2e6!important;
}
.badge-custom-list {
    color: #FF8E03;
    width: 26px;
    text-align: center;
    position: relative;
    font-size: 28px;
    margin-right: 6px;
}
.left-menu-tab-content .sub-title {
    font-size: 14px;
    color: #999999;
}

/*carousel product detail*/
.carousel-product-detail {
    padding: 0;
}
.product-detail-slider .carousel-control {
    height: 30px;
    line-height: 20px;
    position: absolute;
    bottom: 30px;
    left: 15px;
}
.product-detail-slider .carousel-control.right {
    right: 15px;
    left: auto;
}

.product-detail-content .title {
    font-size: 28px;
}
.product-detail-content .item-price {
    color: #F28703;
    font-size: 32px;
}
.product-detail-content .item-price-normal {
    color: #999999;
}

/* top Hash Tag container - Home */
.top-tag-container .btn-link {
    font-size: 14px;
    padding-right: 30px;
}

/*remove tinymce warning*/
.tox-notifications-container {
    display:none;
}

/*modal*/
.modal-body {
    max-height: 400px;
    overflow-x: auto;
}
